MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023595Community[OCCT] OCCT:Data Exchangepublic2012-11-28 13:412014-10-09 18:39
ReporterRoman Lygin 
Assigned ToRoman Lygin 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023595: XCAFDoc_ShapeTool extended with two methods - SetAutoNaming() and AutoNaming()
DescriptionAuto-naming is used to auto-generate names for (sub-)shapes. Prior to the fix it was controlled by a pre-processor macro (#define AUTONAMING), which was defined
in XCAFDoc_ShapeTool.cxx. Thus, the XDE document was contaminated with names not present in the original imported files.

The fix makes it a run-time parameter which is on by default, preserving previous behavior. It had to be made a static member function as it is used by other static members.
Steps To ReproduceSee enclosed test case
TagsNo tags attached.
Test case numberbugs xde(005) bug23595
Attached Fileszip file icon XCAFDoc_ShapeToolTest.zip (607 bytes) 2012-11-28 13:41

- Relationships
has duplicate 0022599closedabv XCAFDoc_ShapeTool extended with two methods - SetAutoNaming() and AutoNaming(). 

-  Notes
(0022407)
Roman Lygin (developer)
2012-11-28 13:44

Pushed branch CR23595 into the git repository
(0022418)
gka (developer)
2012-11-28 17:39

Branch CR23595 is ready to be reviewed.
(0022825)
mkv (tester)
2012-12-25 11:35

Dear BugMaster,

Branch CR23595 (and products from GIT master) was compiled on Linux and
Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
bugs xde(005) bug23595 - OK.

- Related Changesets
occt: master e6aad0ee
Timestamp: 2012-12-28 14:02:51
Author: Roman Lygin
Details ] Diff ]
0023595: XCAFDoc_ShapeTool extended with two methods - SetAutoNaming() and AutoNaming()
Adding new draw command
Adding test case for this fix
Small correction
Small correction
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ShapeTool.cdl Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ShapeTool.cxx Diff ] File ]
add - tests/bugs/xde/bug23595 Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-28 13:41 Roman Lygin New Issue
2012-11-28 13:41 Roman Lygin Assigned To => gka
2012-11-28 13:41 Roman Lygin File Added: XCAFDoc_ShapeToolTest.zip
2012-11-28 13:44 Roman Lygin Note Added: 0022407
2012-11-28 13:44 Roman Lygin Status new => resolved
2012-11-28 17:39 gka Note Added: 0022418
2012-11-28 17:39 gka Status resolved => reviewed
2012-11-28 18:27 mkv Assigned To gka => mkv
2012-12-25 11:35 mkv Note Added: 0022825
2012-12-25 11:36 mkv Test case number => bugs xde(005) bug23595
2012-12-25 11:36 mkv Assigned To mkv => bugmaster
2012-12-25 11:36 mkv Status reviewed => tested
2013-01-04 11:35 Roman Lygin Changeset attached => occt master e6aad0ee
2013-01-04 11:35 Roman Lygin Assigned To bugmaster => Roman Lygin
2013-01-04 11:35 Roman Lygin Status tested => verified
2013-01-04 11:35 Roman Lygin Resolution open => fixed
2013-02-20 10:19 bugmaster Target Version => 6.6.0
2013-04-23 13:36 user533 Status verified => closed
2013-04-29 15:22 user533 Fixed in Version => 6.6.0
2014-10-09 18:39 abv Relationship added has duplicate 0022599


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker